| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
eprosima::fastcdr Namespace Reference

## Functions

eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::StringSTypeDefn &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::StringLTypeDefn &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::PlainCollectionHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::PlainSequenceSElemDefn &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::PlainSequenceLElemDefn &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::PlainArraySElemDefn &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::PlainArrayLElemDefn &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::PlainMapSTypeDefn &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::PlainMapLTypeDefn &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::StronglyConnectedComponentId &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::ExtendedTypeDefn &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::Dummy &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::ExtendedAnnotationParameterValue &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::AppliedAnnotationParameter &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::AppliedAnnotation &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::AppliedVerbatimAnnotation &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::AppliedBuiltinMemberAnnotations &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CommonStructMember &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteMemberDetail &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalMemberDetail &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteStructMember &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalStructMember &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::AppliedBuiltinTypeAnnotations &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalTypeDetail &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteTypeDetail &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteStructHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalStructHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteStructType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalStructType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CommonUnionMember &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteUnionMember &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalUnionMember &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CommonDiscriminatorMember &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteDiscriminatorMember &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalDiscriminatorMember &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteUnionHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalUnionHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteUnionType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalUnionType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CommonAnnotationParameter &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteAnnotationParameter &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalAnnotationParameter &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteAnnotationHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalAnnotationHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteAnnotationType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalAnnotationType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CommonAliasBody &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteAliasBody &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalAliasBody &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteAliasHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalAliasHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteAliasType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalAliasType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteElementDetail &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CommonCollectionElement &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteCollectionElement &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalCollectionElement &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CommonCollectionHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteCollectionHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalCollectionHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteSequenceType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalSequenceType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CommonArrayHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteArrayHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalArrayHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteArrayType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalArrayType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteMapType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalMapType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CommonEnumeratedLiteral &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteEnumeratedLiteral &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalEnumeratedLiteral &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CommonEnumeratedHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteEnumeratedHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalEnumeratedHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteEnumeratedType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalEnumeratedType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CommonBitflag &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteBitflag &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalBitflag &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CommonBitmaskHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteBitmaskType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalBitmaskType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CommonBitfield &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteBitfield &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalBitfield &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteBitsetHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalBitsetHeader &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteBitsetType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalBitsetType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::CompleteExtendedType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::MinimalExtendedType &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::TypeIdentifierTypeObjectPair &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::TypeIdentifierPair &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::TypeIdentfierWithSize &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::TypeIdentifierWithDependencies &data)
eProsima_user_DllExport void | serialize_key (eprosima::fastcdr::Cdr &scdr, const eprosima::fastdds::dds::xtypes::TypeInformation &data)

## Function Documentation

## ◆ serialize_key() [1/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::AppliedAnnotation & | data )

## ◆ serialize_key() [2/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::AppliedAnnotationParameter & | data )

## ◆ serialize_key() [3/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::AppliedBuiltinMemberAnnotations & | data )

## ◆ serialize_key() [4/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::AppliedBuiltinTypeAnnotations & | data )

## ◆ serialize_key() [5/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::AppliedVerbatimAnnotation & | data )

## ◆ serialize_key() [6/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CommonAliasBody & | data )

## ◆ serialize_key() [7/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CommonAnnotationParameter & | data )

## ◆ serialize_key() [8/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CommonArrayHeader & | data )

## ◆ serialize_key() [9/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CommonBitfield & | data )

## ◆ serialize_key() [10/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CommonBitflag & | data )

## ◆ serialize_key() [11/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CommonBitmaskHeader & | data )

## ◆ serialize_key() [12/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CommonCollectionElement & | data )

## ◆ serialize_key() [13/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CommonCollectionHeader & | data )

## ◆ serialize_key() [14/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CommonDiscriminatorMember & | data )

## ◆ serialize_key() [15/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CommonEnumeratedHeader & | data )

## ◆ serialize_key() [16/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CommonEnumeratedLiteral & | data )

## ◆ serialize_key() [17/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CommonStructMember & | data )

## ◆ serialize_key() [18/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CommonUnionMember & | data )

## ◆ serialize_key() [19/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteAliasBody & | data )

## ◆ serialize_key() [20/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteAliasHeader & | data )

## ◆ serialize_key() [21/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteAliasType & | data )

## ◆ serialize_key() [22/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteAnnotationHeader & | data )

## ◆ serialize_key() [23/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteAnnotationParameter & | data )

## ◆ serialize_key() [24/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteAnnotationType & | data )

## ◆ serialize_key() [25/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteArrayHeader & | data )

## ◆ serialize_key() [26/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteArrayType & | data )

## ◆ serialize_key() [27/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteBitfield & | data )

## ◆ serialize_key() [28/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteBitflag & | data )

## ◆ serialize_key() [29/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteBitmaskType & | data )

## ◆ serialize_key() [30/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteBitsetHeader & | data )

## ◆ serialize_key() [31/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteBitsetType & | data )

## ◆ serialize_key() [32/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteCollectionElement & | data )

## ◆ serialize_key() [33/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteCollectionHeader & | data )

## ◆ serialize_key() [34/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteDiscriminatorMember & | data )

## ◆ serialize_key() [35/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteElementDetail & | data )

## ◆ serialize_key() [36/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteEnumeratedHeader & | data )

## ◆ serialize_key() [37/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteEnumeratedLiteral & | data )

## ◆ serialize_key() [38/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteEnumeratedType & | data )

## ◆ serialize_key() [39/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteExtendedType & | data )

## ◆ serialize_key() [40/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteMapType & | data )

## ◆ serialize_key() [41/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteMemberDetail & | data )

## ◆ serialize_key() [42/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteSequenceType & | data )

## ◆ serialize_key() [43/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteStructHeader & | data )

## ◆ serialize_key() [44/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteStructMember & | data )

## ◆ serialize_key() [45/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteStructType & | data )

## ◆ serialize_key() [46/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteTypeDetail & | data )

## ◆ serialize_key() [47/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteUnionHeader & | data )

## ◆ serialize_key() [48/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteUnionMember & | data )

## ◆ serialize_key() [49/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::CompleteUnionType & | data )

## ◆ serialize_key() [50/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::Dummy & | data )

## ◆ serialize_key() [51/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::ExtendedAnnotationParameterValue & | data )

## ◆ serialize_key() [52/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::ExtendedTypeDefn & | data )

## ◆ serialize_key() [53/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalAliasBody & | data )

## ◆ serialize_key() [54/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalAliasHeader & | data )

## ◆ serialize_key() [55/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalAliasType & | data )

## ◆ serialize_key() [56/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalAnnotationHeader & | data )

## ◆ serialize_key() [57/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalAnnotationParameter & | data )

## ◆ serialize_key() [58/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalAnnotationType & | data )

## ◆ serialize_key() [59/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalArrayHeader & | data )

## ◆ serialize_key() [60/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalArrayType & | data )

## ◆ serialize_key() [61/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalBitfield & | data )

## ◆ serialize_key() [62/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalBitflag & | data )

## ◆ serialize_key() [63/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalBitmaskType & | data )

## ◆ serialize_key() [64/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalBitsetHeader & | data )

## ◆ serialize_key() [65/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalBitsetType & | data )

## ◆ serialize_key() [66/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalCollectionElement & | data )

## ◆ serialize_key() [67/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalCollectionHeader & | data )

## ◆ serialize_key() [68/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalDiscriminatorMember & | data )

## ◆ serialize_key() [69/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalEnumeratedHeader & | data )

## ◆ serialize_key() [70/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalEnumeratedLiteral & | data )

## ◆ serialize_key() [71/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalEnumeratedType & | data )

## ◆ serialize_key() [72/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalExtendedType & | data )

## ◆ serialize_key() [73/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalMapType & | data )

## ◆ serialize_key() [74/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalMemberDetail & | data )

## ◆ serialize_key() [75/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalSequenceType & | data )

## ◆ serialize_key() [76/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalStructHeader & | data )

## ◆ serialize_key() [77/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalStructMember & | data )

## ◆ serialize_key() [78/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalStructType & | data )

## ◆ serialize_key() [79/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalTypeDetail & | data )

## ◆ serialize_key() [80/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalUnionHeader & | data )

## ◆ serialize_key() [81/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalUnionMember & | data )

## ◆ serialize_key() [82/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::MinimalUnionType & | data )

## ◆ serialize_key() [83/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::PlainArrayLElemDefn & | data )

## ◆ serialize_key() [84/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::PlainArraySElemDefn & | data )

## ◆ serialize_key() [85/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::PlainCollectionHeader & | data )

## ◆ serialize_key() [86/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::PlainMapLTypeDefn & | data )

## ◆ serialize_key() [87/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::PlainMapSTypeDefn & | data )

## ◆ serialize_key() [88/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::PlainSequenceLElemDefn & | data )

## ◆ serialize_key() [89/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::PlainSequenceSElemDefn & | data )

## ◆ serialize_key() [90/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::StringLTypeDefn & | data )

## ◆ serialize_key() [91/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::StringSTypeDefn & | data )

## ◆ serialize_key() [92/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::StronglyConnectedComponentId & | data )

## ◆ serialize_key() [93/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::TypeIdentfierWithSize & | data )

## ◆ serialize_key() [94/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::TypeIdentifierPair & | data )

## ◆ serialize_key() [95/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::TypeIdentifierTypeObjectPair & | data )

## ◆ serialize_key() [96/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::TypeIdentifierWithDependencies & | data )

## ◆ serialize_key() [97/97]

eProsima_user_DllExport void serialize_key | ( | eprosima::fastcdr::Cdr & | scdr,
|  | const eprosima::fastdds::dds::xtypes::TypeInformation & | data )